Get Single Country State
Retrieve detailed information for a specific state or province.
Endpoint
GET /api/shop/countries/{countryId}/states/{stateId}Request Headers
| Header | Required | Description |
|---|---|---|
Content-Type | Yes | application/json |
X-STOREFRONT-KEY | Yes | Your storefront API key |
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
countryId | integer | Yes | Country ID |
stateId | integer | Yes | State/Province ID |
Response Fields (200 OK)
| Field | Type | Description |
|---|---|---|
id | integer | State ID |
countryId | integer | Associated country ID |
code | string | State/province code |
name | string | State/province name |
createdAt | string | Creation date |
Use Cases
- Validate state/province selection
- Get state details for display
- Verify address information
- Load shipping tax rates by state

